https://networkcalc.com/api/alerts/{alert_id}
List one or more of the alerts saved to your account.
curl https://networkcalc.com/api/alerts/456 \
--header "Authorization: Bearer 2jdS83kfDdDfllHk"
{
"status": "OK",
"alerts": [
{
"id": 456,
"user_id": 1,
"name": "Subdomain Alert - A Record Changed",
"is_active": true,
"current_status": "healthy",
"type": "DNS Record",
"subtype": "A",
"filter": "does not equal",
"filter_value": "198.51.100.57",
"action": "email",
"last_triggered_at": null,
"target_domain": null,
"target_subdomain": {
"alert_id": 456,
"subdomain_id": 123,
"subdomain": {
"id": 123,
"prefix": "demo",
"domain_id": 747,
"domain_report": false,
"domain": {
"id": 747,
"domain": "networkcalc.com",
"report_schedule": null
}
}
}
}
]
}
Parameters
{alert_id}(Optional) The unique ID of the alert.
Example: https://networkcalc.com/api/alerts/12345
Response Format
Response Codes
200
OK - Success.400
MISSING_HEADER - A required header is missing.401
NOT_AUTHORIZED - You do not have the necessary permissions.400
MISSING_VALUES - One of the required parameters is missing from the body.400
INVALID_BODY - One of the required parameters is invalid. Verify that the type, subtype, and filter are correct.400
NOT_CREATED - The alert could not be saved. Verify the request and try again.400
NOT_UPDATED - The alert could not be updated. Verify the request and try again.400
NOT_DELETED - The alert could not be deleted. Verify the request and try again.400
NOT_FOUND - A alert with the given ID could not be found.